DROP DATABASE IF EXISTS stichworte;
CREATE DATABASE stichworte
	CHARACTER SET utf8
	COLLATE utf8_german2_ci;

use stichworte;

DROP TABLE IF EXISTS stichworte;
CREATE TABLE stichworte
(
	FTS_DOC_ID      BIGINT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
	stichwort 		VARCHAR(100) NOT NULL,
	beschreibung	VARCHAR(2000),
	lektion			INT UNSIGNED
);
CREATE FULLTEXT INDEX ft_idx ON stichworte (stichwort, beschreibung);

DESC stichworte;

INSERT INTO stichworte (stichwort, beschreibung, lektion)
VALUES 
	('create database', 'Anlegen einer Datenbank', 8),
	('create table', 'Tabelle erstellen', 10),
	('create table', 'Tabelle mit mehreren Spalten erstellen', 11),
	('null', 'NULL-Werte', 12);


DROP USER IF EXISTS 'stwsucher'@'localhost';
CREATE USER 'stwsucher'@'localhost' IDENTIFIED BY '1234';
GRANT SELECT ON stichworte.stichworte TO 'stwsucher'@'localhost';

## Beispielabfragen (siehe MySQL-Dokumentation zu FULLTEXT)
SELECT * FROM stichworte
WHERE MATCH (stichwort, beschreibung)
AGAINST ('Tabelle viele Spalten' IN NATURAL LANGUAGE MODE);

SELECT * FROM stichworte
WHERE MATCH (stichwort, beschreibung)
AGAINST ('+Tabelle viele +Spalten' IN BOOLEAN MODE);
